activatePackage(AllRivers);

package AllRivers{


function AIKillTrigger::OnEnterTrigger(%data, %Trigger, %Player)
 {
     if(%Player.client.isAIControlled()){
    		%playpos = posFromTransform(%Player.getTransform());
            schedule(5000, 0, killAIPlayer, %Player, %playpos);
    }

}

function killAIPlayer( %player, %playpos){
         InitContainerRadiusSearch(%playpos, 30, $TypeMasks::PlayerObjectType );
         %seenplayer = 1;
	     while(%seenplayer != 0){
    		 %seenplayer = containerSearchNext();
             if (%seenplayer ==%player && %seenplayer.getState() !$="Dead"){
                 echo("stuck bot killed");
                 %position = PosFromTransform(%player.getTransform());
                 %Player.getDataBlock().damageObject(%Player, 1, %position, 1000, 0, "0 0 0"); //console spam
         }

	}
}


function DefaultGame::missionLoadDone(%game)
{
	activatePackage(AllRivers);
	error("Mission load called for allrivers");
	parent::missionLoadDone(%game);
	    if ($CurrentMission $= "AllRiversRun"){
 	    echo("===All Rivers Run interior deletion script===");
		if ($CurrentMissionType $= "TR2"){
			for(%i=1;%i<19;%i++)
			nametoid("ctf"@%i).delete();
			for(%i=1;%i<10;%i++){
			if (%i!=4)
			nametoid("siege"@%i).delete();
			}
			nameToID("MissionCleanup/PZones").delete();
		}
		else if ($CurrentMissionType $= "CTF"){
			for(%i=1;%i<19;%i++)
			nametoid("tr2"@%i).delete();
			for(%i=1;%i<10;%i++)
			nametoid("siege"@%i).delete();
			nameToID("MissionCleanup/PZones").delete();
		}
		else if ($CurrentMissionType $= "Siege"){
			for(%i=1;%i<19;%i++)
			nametoid("tr2"@%i).delete();
			for(%i=1;%i<13;%i++){
			if(%i == 7 || %i==8 || %i==9 || %i==10 || %i==1)
			continue;
			nametoid("ctf"@%i).delete();
             }


	}
  }



}
function DefaultGame::gameOver(%game){
 	parent::gameOver(%game);
 	deactivatePackage(AllRivers);
}


};







